/* SPDX-License-Identifier: GPL-3.0-or-later */
/*
 * Copyright (C) Xi'an Sietium Electronics Co.Ltd
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * jessy 20221019 Sietium
 */

#ifndef __VPU_DWL_DEFS_H__
#define __VPU_DWL_DEFS_H__


#define GB02MAC337      31 /* 1 bit  */
#define GB02MAC339        29 /* 2 bits */
#define GB02MAC341       28 /* 1 bit  */
#define GB02MAC343      17 /* 1 bit  */
#define GB02MAC345        16 /* 1 bit  */
#define GB02MAC347      26 /* 2 bits */
#define GB02MAC349       24 /* 2 bits */
#define GB02MAC351 20 /* 1 bits */
#define GB02MAC353       18 /* 2 bits */
#define GB02MAC355        23 /* 1 bit  */
#define GB02MAC356         26 /* 2 bits */
#define GB02MAC358        23 /* 1 bit  */
#define GB02MAC361        24 /* 1 bit  */
#define GB02MAC363       19 /* 1 bit  */
#define GB02MAC365        22 /* 1 bit  */
#define GB02MAC367      16 /* 1 bit  */
#define GB02MAC369      31 /* 1 bit  */
#define GB02MAC372         31 /* 1 bit  */
#define GB02MAC375       26 /* 3 bits */
#define GB02MAC377        29 /* 3 bits */

#define GB02MAC382 31 /* 1 bit */
#define GB02MAC384 30 /* 1 bit */

#define GB02MAC389    0  /* 1 bits */
#define GB02MAC392     1  /* 1 bits */
#define GB02MAC394        2  /* 1 bits */
#define GB02MAC396        17  /* 2 bits */
#define GB02MAC398         3  /* 1 bits */
#define GB02MAC400         28  /* 3 bits */
#define GB02MAC402     8  /* 4 bits */
#define GB02MAC404  12 /* 3 bits */
#define GB02MAC407       16 /* 1 bits */

#define GB02MAC410       1
#define GB02MAC411   (GB02MAC410 * 4)
#define GB02MAC412       2
#define GB02MAC415   (GB02MAC410 * 4)

#define GB02MAC418        60
#define GB02MAC420    (GB02MAC418 * 4)
#define GB02MAC422          50
#define GB02MAC423      (GB02MAC422 * 4)
#define GB02MAC425        54
#define GB02MAC427    (GB02MAC425 * 4)
#define GB02MAC429        56
#define GB02MAC431    (GB02MAC429 * 4)
#define GB02MAC432           23
#define GB02MAC434       (GB02MAC432 * 4)
#define GB02MAC436         260
#define GB02MAC438     (GB02MAC436 * 4)


#define GB02MAC443              0x01
#define GB02MAC444               0x01
#define GB02MAC445          0x20
#define GB02MAC446    0x10
#define GB02MAC448            0x100

/* Legacy from G1 */
#define GB02MAC450          1
#define GB02MAC452      (GB02MAC450 * 4)
#define GB02MAC453           60
#define GB02MAC455       (GB02MAC453 * 4)

#define GB02MAC458           100
#define GB02MAC459       (GB02MAC458 * 4)
#define GB02MAC422          50
#define GB02MAC423      (GB02MAC422 * 4)
#define GB02MAC425        54
#define GB02MAC427    (GB02MAC425 * 4)

/* VC8000D HW build id */
#define GB02MAC460        309
#define GB02MAC461    (GB02MAC460 * 4)

#define GB02MAC462                 0x01
#define GB02MAC463                  0x01
#define GB02MAC464             0x20
#define GB02MAC466       0x10
#define GB02MAC468        0x10
#define GB02MAC469               0x100
#define GB02MAC471                0x100

#endif
