/*
 * Copyright (C) Xi'an Sietium Electronics Co.Ltd
 *
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */
#ifndef __GB_SND_CODEC_H__
#define __GB_SND_CODEC_H__
#include <linux/platform_device.h>
#include "i2s_platform.h"

#define GB02MAC693	4
#define GB02MAC695	256
#define GB02MAC697	16000
#define GB02MAC699	48000
#define GB02MAC701	(4096)
#define GB02MAC703	(256)
#define GB02MAC707	(4096)
#define GB02MAC710	(32 * 1024)

#define GB02MAC713	(192 * 4)
#define GB02MAC716	32768
#define GB02MAC719	4

/* Sample index defination depends on IEC60958-3@1999 */
#define GB02MAC723                    1
#define GB02MAC726                   2
#define GB02MAC729                5
#define GB02MAC731               6
#define GB02MAC735                    41
#define GB02MAC738                   44
#define GB02MAC741   49
#define GB02MAC744  50
#define GB02MAC746   51
#define GB02MAC749  52
#define GB02MAC753   53
#define GB02MAC756  54
#define GB02MAC758   55
#define GB02MAC760  56
#define GB02MAC762   65
#define GB02MAC764  66
#define GB02MAC767         67
#define GB02MAC769        68
#define GB02MAC773         69
#define GB02MAC776        70
#define GB02MAC779         71
#define GB02MAC782        72

#define GB02MAC785                  26
#define GB02MAC789                   28
#define GB02MAC791                     384

int GB02FUNC487(struct device *dev);
void GB02FUNC276(int num, struct GB02STR86 *i2s_cinfo);
void GB02FUNC316(int dp_num, struct GB02STR86 *i2s_cinfo);
u32 GB02FUNC414(struct snd_pcm_runtime *runtime, u64 pos);
#ifdef AUDIO_SOUND_SWITCH_DIFF_A
int GB02FUNC363(struct snd_pcm_substream *substream, int cmd);
#endif
void GB02FUNC478(struct GB02STR83 *pcie_info);
#endif
